<?php

/**
 * aw navigation Addon.
 *
 * @author Wolfgang Bund - agile-websites.de
 *
 * @package redaxo5
 */

?>
<h2>aw Navigation</h2>

<p>aw Navigation ist eine einfache Navigation die eine ul - li Liste ausgibt. Es können beliebig viele Ebenen ausgegeben werden.</p>
<p>Ein Navigationsobjekt wird immer in dieser Form angelegt: <pre>$nav = new awnav();</pre></p>
<p>Mit den folgenden Parametern lässt sich die Navigation konfigurieren:</p>
<ul>
    <li><p>Nur die ersten drei Ebenen ausgegeben:</p><pre>$nav->maxLev = 3;</pre></li>   
    <li><p>Auch Kategorien angezeigt, die offline sind:</p><pre>$nav->ignoreOffline = true;</pre></li>
    <li><p>CSS Klassen für ul Element definieren:</p><pre>$nav->ulClasses = array('ul-lev-0','ul-lev-1','ul-lev-2');</pre></li>
    <li><p>Gesamten Navigationsbaum ausgeben (nicht nur den aktuellen Pfad):</p><pre>$nav->fullTree = true;</pre></li>    
    <li><p>Filter über Metainformation erstellen:</p><pre>$nav->metaField = 'cat_nav_type';
$nav->metaValue = "2";</pre><p>Es werden nur Navigationspunkte ausgegeben, die in der ersten Ebene im Metafeld cat_nav_type den Wert 2 haben.</p></li>
    <li><p>Die Navigation ausgeben:</p><pre>echo $nav->getNavigation();</pre></li>    
</ul>
<p>Noch nicht implementiert: Breadcrumb, Ausgabe einer bestimmten Kategorie.</p>
<p>Fragen, Anregungen und Wünsche bitte ins Forum.</p>